
Redmine - Defect #7127

Project completion on gantt is wrong

2010-12-18 14:59 - Jean-Philippe Lang

Status: Needs feedback Start date: 2010-12-18

Priority: Normal Due date:  

Assignee:  % Done: 0%

Category: Gantt Estimated time: 0.00 hour

Target version:    

Resolution:  Affected version:  

Description

The project completion shown on the chart gantt (implemented in Project#completed_percent) is kind of broken:

it doesn't take issues without target version into account

it does a simple average of all versions completions, whereas it should do a weighted calculation based on issue

progress/estimate, just like it is done for versions completion.

This is not that hard to fix but that would make the gantt a bit more slow. So the question is: do we keep project completion display

on the gantt?

Associated revisions

Revision 4582 - 2010-12-29 21:29 - Jean-Philippe Lang

Disable project completion display on the gantt (#7127).

History

#1 - 2010-12-29 21:29 - Jean-Philippe Lang

- Target version deleted (1.1.0)

Project completion disabled in r4582 for 1.1. Will be added back if fixed and needed.

#2 - 2013-01-15 12:03 - Daniel Felix

- Due date set to 2013-01-22

- Status changed from New to Needs feedback

This seems to be fixed already due to all the changes which applied to the gantt modul.

Any regression? Otherwise I will close this next week.

#3 - 2013-01-19 04:02 - Mischa The Evil

- Due date deleted (2013-01-22)

Daniel Felix wrote:

This seems to be fixed already due to all the changes which applied to the gantt modul.

 I can't remember any changeset that fixed Project#completed_percent. What changes are you referring to?

Any regression? Otherwise I will close this next week.

 The 'regression' was introduced in Redmine 1.1.0 and is still present up to at least 2.1.0.stable.10438 (tested on m.redmine.org).

I'll remove the due date you've set.

Since it seems nobody has actually has missed this feature (which was originally implemented with r4072 for #6276) for over more than two years we

could argue that the second condition from the proposition to restore the feature in a future version hasn't been met:

Jean-Philippe Lang wrote:
[...] Will be added back if fixed and needed.

 Following the above I think the proper status for this issue at the moment is "Needs feedback" indeed. If anyone wants this feature back in they need

to increase activity on this issue.

In general, I don't think it is good to close this issue while the (to-be) obsoleted code is still in.

Note: while testing on m.redmine.org I also got some 'goofy' results with the line showing when a Project is active. Though this falls outside the scope

of this issue.

#4 - 2013-01-19 08:57 - Daniel Felix

Mischa The Evil wrote:

Daniel Felix wrote:

This seems to be fixed already due to all the changes which applied to the gantt modul.

 I can't remember any changeset that fixed Project#completed_percent. What changes are you referring to?

 Sorry, I meaned the patches provided by Tobias Droste. :-)

There are some patches, which fix some bugs regarding Gantt.

#5 - 2013-01-19 19:28 - Mischa The Evil

Daniel Felix wrote:

Mischa The Evil wrote:

Daniel Felix wrote:

This seems to be fixed already due to all the changes which applied to the gantt modul.

 I can't remember any changeset that fixed Project#completed_percent. What changes are you referring to?

 Sorry, I meaned the patches provided by Tobias Droste. :-)

There are some patches, which fix some bugs regarding Gantt.

 You mean the patches attached to issues #347 and #12730? I did a quick scan of these patches but they doesn't seem to fix the 'regression' nor the

specific bugs as described in the list in this issue's description.

#6 - 2013-09-17 14:50 - Maria Fedorova

- Copied to Patch #14929: Project completion on gantt is wrong added

#7 - 2013-09-18 09:07 - Jan Niggemann (redmine.org team member)

- Copied to deleted (Patch #14929: Project completion on gantt is wrong)
